<template>
  <div class="absolute bottom-0 bg-slate-200 w-full h-20 flex justify-between items-center p-5">
    <div>Bulk Action:</div>
    <div>
      <button class="border rounded-lg w-32 h-10 bg-sky-500 text-white mr-10" type="submit" @click="done()">Done</button>
      <button class="border rounded-lg w-32 h-10 bg-red-600 text-white" type="submit" @click="remove()">Remove</button>
    </div>
  </div>
</template>

<script setup lang="ts">
  // This starter template is using Vue 3 <script setup> SFCs
  // Check out https://vuejs.org/api/sfc-script-setup.html#script-setup
  import {useStore} from "vuex";

  const store = useStore()

  function done() {
    store.dispatch("doneTodo")
  }
  function remove() {
    store.dispatch("removeTodoByCheckbox")
    store.commit("resetListCheckBox")
  }
</script>
